COMM(1)

NAZWA
comm - porównuje dwa posortowane pliki wiersz po wierszu

SKŁADNIA
comm [OPCJA]... PLIK1 PLIK2

OPIS

Porównuje dwa posortowane pliki PLIK1 i PLIK2 wiersz po wierszu.

Gdy jako PLIK1 lub PLIK2 (nie oba) podano -, czyta standardowe wejście.

Bez opcji, wyświetla wynik w trzech kolumnach. Pierwsza kolumna zawiera wiersze unikatowe dla PLIKU1, druga wiersze unikatowe dla PLIKU2, a trzecia wiersze wspólne obu plikom.

-1  wyłącza wyświetlanie kolumny 1 (wierszy unikatowych dla PLIKU1)

-2  wyłącza wyświetlanie kolumny 2 (wierszy unikatowych dla PLIKU2)

-3  wyłącza wyświetlanie kolumny 3 (wierszy wspólnych obu plikom)

--check-order
    sprawdza, czy wejście jest poprawnie posortowane, nawet jeśli wszystkie wejściowe wiersze mogą być poprawnie porównane

--nocheck-order
    nie sprawdza poprawności posortowania wejścia

--output-delimiter=CIĄG
    oddziela kolumny podanym CIĄGIEM

-z, --zero-terminated
    kończy wiersze bajtem NUL, zamiast znakiem nowego wiersza

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

Proszę zauważyć, że przestrzegane są reguły określone przez LC_COLLATE.

PRZYKŁADY

comm -12 plik1 plik2
    Wyświetla jedynie wiersze obecne zarówno w plik1 jak i plik2.

comm -3 plik1 plik2
    Wyświetla wiersze, które występują w plik1, ale nie w plik2 i na odwrót.

AUTOR
Napisane przez Richarda M. Stallmana i Davida MacKenzie.

ZGŁASZANIE BŁĘDÓW
Strona internetowa z pomocą GNU coreutils: <http://www.gnu.org/software/coreutils/>
Zgłoszenia błędów w tłumaczeniu comm proszę wysyłać na adres <http://translationproject.org/team/pl.html>

PRAWA AUTORSKIE
Copyright © 2016 Free Software Foundation, Inc. Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <http://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać. Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

ZOBACZ TAKŻE
join(1), uniq(1)

Pełna dokumentacja na stronie: <http://www.gnu.org/software/coreutils/comm>
lub lokalnie, za pomocą info '(coreutils) comm invocation'

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Gwidon S. Naskrent (PTM) <naskrent@hoth.amu.edu.pl>, Wojtek Kotwica (PTM) <wkotwica@post.pl> i Michał Kułach <michal.kulach@gmail.com>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 8.25 oryginału.